/* CSS RESET  */

*{
    margin: 0;
    padding: 0;
}
html{
    scroll-behavior: smooth;
}
.one{
    height: 80px;
}

/* Css Variables */
:root{
   --navbar-height:59px 
}

/* Navigation Bar  */
#navbar{
    display: flex;
    align-items: center;
    position: sticky;
    top: 0px;
}

/* Navigation Bar: Logo and Image  */
#logo{
    margin: 15px 15px;
}

#logo image{
    height: 30px;
    margin: 3px 6px;
}

/* Navigation Bar:List Styling */
#navbar ul{
    display: flex;
}
#navbar::before{
    content: "";
    background-color: black;
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.4;
}
#navbar ul li{
    list-style: none;
    font-size: 1.3rem;
}
#navbar ul li a{
    color: white;
    display: block;
    padding:3px 20px ;
    border-radius: 20px;
    text-decoration: none;
}
#navbar ul li a:hover{
    color: black;
    background-color: white;
}

/* Home Section  */
#home{
    display: flex;
    flex-direction: column;
    padding: 3px 200px;
    height: 605px;
    align-items: center;
    justify-content: center;
}
#home::before{
    content:"";
    position: absolute;
    background: url('../bg.jpg') no-repeat center center/cover;
    top: 0px;
    left: 0px;
    height: 725px;
    width: 100%;
    z-index: -1;
    opacity: 0.9;
}
#home h1{
    color: white;
    text-align: center;
}
#home p{
    color: white;
    text-align: center;
    font-size: 1.5rem;
}

/* Services Section  */
#services{
    margin: 5px 2px;
    display: flex;
}
.box{
    /* width: auto; */
    text-align: center;
    border: 2px solid red;
    padding: 30px;
    margin: 2px 15px;
    border-radius: 23px;
    background-color: rgb(236, 240, 240);
}
.box img{
    height: 150px;
    margin: auto;
    display: block;

}
/* Client section  */
#client-section{
    position: relative;
}
#client-section::before{
    content: "";
    position: absolute;
    background: url('../bg1.jpg');
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.4;

}
#clients{
    display: flex;
    justify-content: center;
    align-items: center;
}
#clients img{
    height: 150px;
}
.client-item{
    padding: 34px;
}
/* Contact Section  */
#contact{
    position: relative;
}
#contact::before{
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.8;
    background: url('../contact.jpg') no-repeat center center/cover;
}
#contact-box{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 34px;
}
#contact-box input,#contact-box textarea{
    width: 100%;
    padding: 0.5rem;
    border-radius: 10px;
}
#contact-box form{
    width: 40%;
}
#contact-box label{
    font-size: 1.5rem;
}

/* footer  */
footer{
    background-color: black;
    color: white;
    padding: 5px 20px ;
}

/* Utility classes */
.primary{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 3rem;
    padding: 12px ;
}
.secondary{
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 1.8rem;
    padding: 12px;
    text-align: center;
}
.btn{
    margin: 20px;
    padding: 6px 20px;
    background-color: grey;
    border: 2px solid silver;
    border-radius: 10px;
    cursor: pointer;
}
.center{
    text-align: center;
}
.primary-center{
    text-align: center;
    font-size: 3rem;
}
